> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentcare.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 구독 이벤트 목록 (v3)

> 구독 가능한 이벤트를 서비스별로 조회합니다. 일반 키와 테스트 키는 같은 목록을 받습니다. eventTypes의 값을 subscribedEvents에 넣으세요.



## OpenAPI

````yaml ko/api-reference/openapi.yaml GET /api/v3/orders/webhooks/event-types
openapi: 3.0.0
info:
  title: ContentCare API
  version: 2.0.0
  description: >
    ContentCare API는 디지털 콘텐츠 보호를 위한 네 가지 핵심 서비스를 제공합니다:

    - **Anti-AI**: 이미지를 AI 학습으로부터 보호

    - **Watermark Embed**: 이미지에 보이지 않는 디지털 워터마크 삽입

    - **Watermark Extract**: 이미지에서 워터마크 추출 및 검증

    - **AI Detection**: 이미지가 AI로 생성되었는지 감지

    - **테스트 API 키**: `sk_test_` 접두사의 키는 동일한 Bearer 인증을 사용하며, 실제 처리 서비스나 크레딧 사용
    없이 주문 흐름을 검증할 수 있습니다. 테스트 업로드는 파일 내용을 폐기하고 결과 파일을 만들지 않습니다
  contact:
    name: ContentCare 지원
    email: support@contentcare.ai
  license:
    name: Proprietary
    url: https://docs.contentcare.ai/legal/terms
servers:
  - url: https://api.bizmori.com
    description: 프로덕션
security: []
tags:
  - name: Anti-AI
    description: AI 학습 방지 이미지 보호 주문
  - name: Watermark Embed
    description: 워터마크 삽입 주문
  - name: Watermark Extract
    description: 워터마크 추출 주문
  - name: AI Detection
    description: AI 생성 이미지 감지 주문
  - name: Orders
    description: 주문 조회 및 관리
  - name: Webhooks
    description: 웹훅 설정 및 이벤트
  - name: Reports
    description: 워터마크 추출·AI Detection 주문의 PDF 분석 보고서
paths:
  /api/v3/orders/webhooks/event-types:
    get:
      tags:
        - Webhooks
      summary: 구독 이벤트 목록 (v3)
      description: >-
        구독 가능한 이벤트를 서비스별로 조회합니다. 일반 키와 테스트 키는 같은 목록을 받습니다. eventTypes의 값을
        subscribedEvents에 넣으세요.
      operationId: getWebhookEventTypesV3
      responses:
        '200':
          description: 성공
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/WebhookEventCatalog'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - BearerAuth: []
components:
  schemas:
    WebhookEventCatalog:
      type: object
      required:
        - groups
        - eventTypes
        - legacyDefaultEventTypes
      properties:
        groups:
          type: array
          items:
            type: object
            required:
              - service
              - events
            properties:
              service:
                type: string
                example: antiAi
              events:
                type: array
                items:
                  type: object
                  required:
                    - type
                    - outcome
                  properties:
                    type:
                      type: string
                      example: order.antiAi.completed
                    outcome:
                      type: string
                      enum:
                        - completed
                        - failed
        eventTypes:
          type: array
          items:
            type: string
          example:
            - order.antiAi.completed
            - order.antiAi.failed
            - order.watermarkEmbed.completed
            - order.watermarkEmbed.failed
            - order.watermarkExtract.completed
            - order.watermarkExtract.failed
            - order.aiDetection.completed
            - order.aiDetection.failed
        legacyDefaultEventTypes:
          type: array
          items:
            type: string
          example:
            - order.antiAi.completed
            - order.antiAi.failed
            - order.watermarkEmbed.completed
            - order.watermarkEmbed.failed
            - order.watermarkExtract.completed
            - order.watermarkExtract.failed
            - order.aiDetection.completed
            - order.aiDetection.failed
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: 에러 코드
  responses:
    Unauthorized:
      description: 인증 실패
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: AUTH_NOT_AUTHENTICATED
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        외부 클라이언트 접근을 위한 Bearer API 키. 일반 키는 `sk_` 접두사를 사용하고, 테스트 키는 `sk_test_`
        접두사로 모의 응답을 사용해 실제 처리나 크레딧 사용 없이 주문 흐름을 검증합니다.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.